<?php
declare(strict_types=1);

namespace FiloBlu\Refilo\Remote\Entity;

/**
 *
 * @method setHreflang(array $hreflang)
 * @method getType()
 * @method getTargetUrl()
 * @method getPageIdentifier()
 * @method getStore()
 * @method setStore(string $storeCode)
 * @method setCanonical(string $canonical = null)
 * @method getEntityId()
 */
class UrlRewrite extends AbstractEntity
{
    const URL_ID = 'url_id';
    const TYPE ='type';
    const ENTITY_ID = 'entity_id';
    const URL = 'url';
    const IS_REDIRECT = 'is_redirect';
    const TARGET_URL = 'target_url';
    const STORE = 'store';
    const HREFLANG = 'hreflang';
    const PAGE_IDENTIFIER = 'page_identifier';
    const CANONICAL = 'canonical';
    const BREADCRUMBS = 'breadcrumbs';

	public function setBreadcrumbs(array $array)
	{
        $this->setData(self::BREADCRUMBS, $array);
        return $this;
	}
}
